<template>
  <div class="ele-body" style="width:100%">
    

      <!-- 数据表格 -->
      <ele-pro-table
        ref="table"
        style="width:100%"
        :columns="columns"
        :datasource="tableList"
        :needPage="false"
      >
      
      </ele-pro-table>
  </div>
</template>
  
  <script>

export default {
  components: {
  },

  data() {
    return {
    

      tableList: []
    };
  },
  computed: {
    // 表格列配置
    columns() {
      return [
        {
          prop: 'name',
          label: '名称',
          align: 'center',
        },
        {
          prop: 'reminderName',
          label: '催单人',
          align: 'center',
        },
        {
          prop: 'reminderTime',
          label: '催单时间',
          align: 'center',
        },
        {
          prop: 'type',
          label: '通知对象',
          align: 'center',
        },
        {
          prop: 'userIdList',
          label: '被催单人',
          align: 'center',
        },
      ];
    },

    
  },
  created() {
 
  },
  methods: {
    init(list){
      this.tableList=list
    }
   

  }
};
</script>
  